// UT2U1.uc --> BaseMutator fix.  06/20/13 by MrLoathsome. Major credits to Higor for help with the PostBeginPlay and U1GunFix stuff
// 06/11/16 - Update - Remove AutoActivate=True setting for pickups.....

class UT2U1 extends Mutator config(UT2U1);

var() config bool bU1GunFix;

function PostBeginPlay()
{
	local Mutator M;
	local Inventory Inv;
	local TorchFlame TF;

	Super.PostBeginPlay();

	if ( DMMutator(Level.Game.BaseMutator) != none )
	{
		M = Level.Game.BaseMutator;
		if ( M.NextMutator == none )
			M.AddMutator(self);
		Level.Game.BaseMutator = M.nextMutator;
		M.Destroy();
	}
	else
	{
		For ( M=Level.Game.BaseMutator; M!=none; M=M.nextMutator )
		if ( DMMutator(M.nextMutator) != none )
		{
			M.nextMutator.LifeSpan = 1;
			M.nextMutator = M.nextMutator.nextMutator;
			break;
		}
	}
	forEach AllActors(class'TorchFlame', TF)
	{
		TF.NetUpdateFrequency = 0.5;
	}
	if (bU1GunFix) Spawn(class'MyWatcher');
}

function AddMutator(Mutator M)
{
	if ( M.IsA('DMMutator') )
		M.Destroy(); //NOPE
	else if ( M != self )
	Super.AddMutator(M);
}

function bool AlwaysKeep(Actor Other)
{
	local bool bTemp;

	if ( Other.IsA('StationaryPawn') )
		return true;

	if ( NextMutator != None )
		return ( NextMutator.AlwaysKeep(Other) );
	return false;
}

defaultproperties
{
    bU1GunFix=False
}
